/*

	"Is Attention Produced Optimally? Theory and Evidence from Experiments with Bandwidth Enhancements" by Bronchetti, Kessler, Magenheim, Taubinsky, Zwick.

	Calls individual codes reproducing the tables and figures from the paper.

*/

** Primary directory [please set this to your directory] **
global project 	"/Users/`c(username)'/Bandwidth Enhancements"

** Subdirectories [set the directory above and do not change these] **
global rawdata "$project/Data/Raw Data"
global preppeddata "$project/Data/Prepped Data"
global figures "$project/Output/Figures"
global tables "$project/Output/Tables"
global do "$project/Data Analysis"

* Install packages
ssc install coefplot
ssc install ereplace
ssc install cdfplot
ssc install ranktest
ssc install estout
ssc install binscatter
ssc install ivreg2

** Create a program to write commands to a latex file in the output folder
cap program drop latex_write
program define latex_write
	* Arguments: (1) name of the command, (2) content of the command
	if "`c(os)'" == "MacOSX" local command '\\newcommand{\\`1'}{`2'}'
	else local command \newcommand{\\`1'}{`2'}
	! echo `command'  >> "$project/Output/numbers.tex"
end

** Remove previous version of file to prevent duplication of commands
cap rm "$project/Output/numbers.tex"

* Experiment 1 Build and Analysis
run "$do/Experiment 1/Exp1BuildAnalysis.do"

* Experiment 2 Build
run "$do/Experiment 2/Build/Exp2Build.do"

* Experiment 2 Analysis
run "$do/Experiment 2/Code/Exp2Analysis.do"

* Experiment 3 Build
run "$do/Experiment 3/Build/Exp3Build.do"

* Experiment 3 Analysis
run "$do/Experiment 3/Code/Exp3Analysis.do"
